---
title: CSV Fields
slug: redcircleapi/target-product-data-api/reference/csv-fields
docTags: 
createdAt: 2024-07-27T14:22:43.825Z
---

# CSV Fields Reference

RedCircle API can return data in CSV format by specifying the  `output=csv`  request parameter. When setting  `output=csv`  the  `csv_fields`  parameter determines the fields to include in the CSV result.

CSV fields should be specified as a comma seperated list of field names, with  **nested fields being expressed in dot notation** .

Here's an example of the  `csv_fields`  parameter:

`csv_fields=`
Below is a full list of all of the supported CSV Fields shown under their group.

| `Field Group`         | `Fields in Group`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| --------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `request`             | `type` `tcin` `gtin` `sort_by` `search_term`<br />`category_id` `url` `customer_zipcode` `page`<br />`max_page` `delivery_type` `include_out_of_stock`<br />`facets` `reviewer_type` `review_stars`<br />`review_media_type` `store_stock_zipcode`<br />`only_in_stock`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `product`             | `title` `link` `brand` `brand_link` `tcin`<br />`dpci` `upc` `description` `aisle` <br />`main_image.link` `rating` `ratings_total` `weight`<br />`dimensions` `specifications` `specifications_flat`<br />`buybox_winner.price.value`<br />`buybox_winner.was_price.value`<br />`buybox_winner.availability.raw`<br />`buybox_winner.availability.in_stock`<br />`buybox_winner.seller.name` `buybox_winner.seller.id`<br />`buybox_winner.seller.link`<br />`buybox_winner.fulfillment.type`<br />`buybox_winner.fulfillment.pickup`<br />`buybox_winner.fulfillment.pickup_info.ready_in_minutes`<br />`buybox_winner.fulfillment.pickup_info.stock_level`<br />`buybox_winner.fulfillment.delivery_from_store`<br />`buybox_winner.fulfillment.shipping`<br />`buybox_winner.fulfillment.shipping_info.stock_level` |
| `reviews`             | `id` `title` `body` `date` `rating`<br />`positive_feedback` `negative_feedback`<br />`source.is_external_source` `source.external_source`<br />`source.author_id` `source.author_name`<br />`source.syndication_source` `source.verified_purchase`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `search_results`      | `position` `product.title` `product.tcin`<br />`product.dpci` `product.link` `product.main_image`<br />`product.brand` `product.brand_link`<br />`product.class_id` `product.department_id`<br />`product.rating` `product.ratings_total`<br />`product.sponsored` `offers.primary.price`<br />`offers.primary.max_price` `offers.primary.min_price`<br />`offers.primary.currency`<br />`offers.primary.regular_price` `fulfillment.type`<br />`seller.name` `seller.id`                                                                                                                                                                                                                                                                                                                                               |
| `category_results`    | `position` `product.title` `product.tcin`<br />`product.dpci` `product.link` `product.main_image`<br />`product.brand` `product.brand_link`<br />`product.class_id` `product.department_id`<br />`product.rating` `product.ratings_total`<br />`offers.primary.price` `offers.primary.max_price`<br />`offers.primary.min_price` `offers.primary.currency`<br />`offers.primary.regular_price` `fulfillment.type`<br />`seller.name` `seller.id`                                                                                                                                                                                                                                                                                                                                                                        |
| `store_stock_results` | `position` `store_id` `store_name` `stock_level`<br />`address` `city` `state` `zipcode` `phone`<br />`distance`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |

